DefaultGrailsClass (Grails 3.3.8)
Date: 2018-08-10

Package: grails.core

## [Java] Class DefaultGrailsClass

- grails.core.DefaultGrailsClass

- A default implementation for Grails classes that need to be registered and managed by a GrailsApplication, but don't need any special handling.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsClass (java.lang.Class<?> clazz, java.lang.String trailingName)` Contructor to be used by all child classes to create a new instance and get the name right.
    `DefaultGrailsClass (java.lang.Class<?> clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultGrailsClass(java.lang.Class<?> clazz, java.lang.String trailingName)

      Contructor to be used by all child classes to create a new instance and get the name right.

      Parameters:
        `clazz` - the Grails class
        `trailingName` - the trailing part of the name for this class type

    - #### public DefaultGrailsClass(java.lang.Class<?> clazz)